#!/bin/bash
#
# MDStop.sh - Stop Majordomo execution agent.
#

#
# Stop Majordomo
#
RUNNING=`ps -Af | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | grep -v grep | wc -l`
if [ $RUNNING -ne 0 ]; then
    ps -f | grep java | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | awk '{
    print "Majordomo is running on pid " $2
    }'
    kill -9 $(ps -Af | grep java | grep "com.ibm.rational.test.lt.nextgen.Majordomo" | awk '{print $2}')
    echo "Majordomo stopped"
else
    echo "Majordomo is not running"
fi
